aboutsummaryrefslogtreecommitdiffstats
path: root/test/suite-unittests.sh
diff options
context:
space:
mode:
authorRichard van der Hoff <richardv@mxtelecom.com>2007-04-03 01:54:30 +0000
committerRichard van der Hoff <richardv@mxtelecom.com>2007-04-03 01:54:30 +0000
commit4500ada811ea413e215277e2fd14797267d17049 (patch)
tree5fa4a6142e849fef2173cf2f3e7746e7c3f46764 /test/suite-unittests.sh
parentd522b2521626f1b5aa99c73780a6e738e04e6bb1 (diff)
Run the epan unittests as part of the test suite
svn path=/trunk/; revision=21309
Diffstat (limited to 'test/suite-unittests.sh')
-rw-r--r--test/suite-unittests.sh71
1 files changed, 71 insertions, 0 deletions
diff --git a/test/suite-unittests.sh b/test/suite-unittests.sh
new file mode 100644
index 0000000000..81fc42e7aa
--- /dev/null
+++ b/test/suite-unittests.sh
@@ -0,0 +1,71 @@
+#!/bin/bash
+#
+# Run the epan unit tests
+#
+# $Id$
+#
+# Wireshark - Network traffic analyzer
+# By Gerald Combs <gerald@wireshark.org>
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+
+unittests_step_test() {
+ make -C `dirname $DUT` `basename $DUT` >testout.txt 2>&1
+ if [ $? -ne 0 ]; then
+ echo
+ cat ./testout.txt
+ test_step_failed "make $DUT failed"
+ return
+ fi
+
+ $DUT > testout.txt 2>&1
+ RETURNVALUE=$?
+ if [ ! $RETURNVALUE -eq $EXIT_OK ]; then
+ echo
+ cat ./testout.txt
+ test_step_failed "exit status of $DUT: $RETURNVALUE"
+ return
+ fi
+ test_step_ok
+}
+
+
+unittests_step_exntest() {
+ DUT=../epan/exntest
+ unittests_step_test
+}
+
+unittests_step_reassemble_test() {
+ DUT=../epan/reassemble_test
+ unittests_step_test
+}
+
+unittests_step_tvbtest() {
+ DUT=../epan/tvbtest
+ unittests_step_test
+}
+
+unittests_cleanup_step() {
+ rm -f ./testout.txt
+}
+
+unittests_suite() {
+ test_step_set_pre unittests_cleanup_step
+ test_step_set_post unittests_cleanup_step
+ test_step_add "exntest" unittests_step_exntest
+ test_step_add "reassemble_test" unittests_step_reassemble_test
+ test_step_add "tvbtest" unittests_step_tvbtest
+}